﻿.navbar-brand img {
    max-height: 160px;
}

@media (max-width: 576px) {
    .navbar > .container, .navbar > .container-fluid {
        justify-content: space-evenly !important;
    }
}

@media (min-width: 576px) {
    .navbar-expand-sm > .container, .navbar-expand-sm > .container-fluid {
        -moz-flex-wrap: nowrap;
        -ms-flex-wrap: nowrap;
        -o-flex-wrap: nowrap;
        -webkit-flex-wrap: nowrap;
        flex-wrap: nowrap;
    }
}


.notloaded {
    opacity: 0;
    transform: scale(.9)
}

.loaded {
    background: none;
    opacity: 1;
    transform: scale(1);
    transition: all 400ms ease-in
}

@media screen and (prefers-reduced-motion:reduce) {
    .loaded {
        transition: none
    }
}

a {
    border: 0 !important;
}

a,
a:visited,
a.page-link,
a.page-link:visited,
.category-link,
.directory-link {
    color: #642e84 !important;
}

a:active,
a:focus,
a:hover,
a.page-link:active,
a.page-link:focus,
a.page-link:hover,
.btn-link:active,
.btn-link.active,
.btn-link:focus,
.btn-link.focus,
.btn-link:hover,
.btn-link.hover,
.category-link:active,
.category-link:focus,
.category-link:hover
    .directory-link:active,
.directory-link:focus,
.directory-link:hover {
    color: #9142bf !important;
}

/*
a:focus,
a:active,
input:focus,
textarea:focus {
    outline: 2px solid #25a6ff
}
*/

.btn-link {
    padding: 0;
}

noscript p {
    background-color: #dc143c;
    line-height: 2em;
    padding: 0 10px;
    color: #fff;
    font-size: .9em
}

.video {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden
}

.video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0
}

.categories {
    list-style: none;
    display: inline;
    padding: 0
}

.categories li {
    display: inline-block
}

.categories li:not(:first-child):not(:last-child):after {
    content: ", "
}

.categories li:last-child:after {
    content: "."
}

.siteheader {
    text-align: right;
    padding: .8em 1.5em 2em 1.5em
}

    .siteheader p {
        font-size: 2em
    }

    .siteheader a {
        color: #222;
        text-decoration: none
    }

@keyframes fade-in {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

main {
    animation: fade-in 1s ease
}

b, strong {
    font-weight: 600
}

img, iframe {
    max-width: 100%
}

img {
    height: auto
}

h1, h2, h3, h4 {
    font-weight: normal
}

ul, ol {
    padding-left: 2em
}

.card-body {
    border: 0;
}

.card-body .row.post-index {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.row.post-index {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

/*.post.index time {
    background: #212529;
    -ms-border-radius: .8rem;
    border-radius: .8rem;
    color: #fff;
    font-size: inherit;
    padding: .5rem 1rem;
}*/

time {
    color: #626262;
    font-size: .85em
}

.post {
    padding-bottom: .5rem;
}

    .post header h1 {
        margin: .2em 0;
        line-height: 1.3;
        font-size: 2rem;
        text-align: left;
    }

    .post.entry header h1 a {
        color: #212529;
        text-decoration: none;
    }
        .post header h1 a {
            text-decoration: none
        }

    .post > div p {
        margin: 1em 0;
        word-wrap: break-word;
        -moz-hyphens: auto;
        -ms-hyphens: auto;
        -webkit-hyphens: auto;
        hyphens: auto
    }

    .post > div img {
        padding: .5em
    }

    .post > div ul {
        list-style: none;
        text-indent: -1em
    }

        .post > div ul li:before {
            content: "»\20";
            opacity: .5;
            margin-right: .3em
        }

    .post > footer {
        border-top: 1px solid #dfdfdf;
        padding-top: .5em;
        clear: both
    }

    .post h2, .post h3, .post h4, .post h5, .post h6 {
        margin: 1em 0 -.5em 0
    }

    .post blockquote {
        border-top: 1px solid #dfdfdf;
        border-bottom: 1px solid #dfdfdf;
        color: #6f6f6f;
        font-size: 1.3em;
        width: 90%;
        margin: 1.5em auto;
        font-style: italic;
        font-weight: lighter
    }

        .post blockquote p {
            margin: 1em .5em
        }

    .post pre {
        font-size: .9em;
        line-height: 1.3;
        overflow: auto;
        padding: 5px 10px;
        -ms-word-wrap: normal;
        word-wrap: normal;
        background: #f7f7f7;
        box-shadow: 5px 5px 5px #dfdfdf
    }

    .post code {
        background: #f7f7f7;
        font-family: Menlo,Monaco,Consolas,"Courier New",monospace
    }

    .post table {
        font-size: .9em;
        border-collapse: collapse;
        font-variant-numeric: lining-nums tabular-nums;
        display: block;
        overflow-x: auto;
        white-space: nowrap
    }

    .post tr:nth-child(2n) {
        background: #f7f7f7
    }

    .post th {
        border-bottom: 1px solid #dfdfdf;
        text-align: left
    }

    .post td, .post th {
        padding: 2px 7px
    }

.socialsharing {
     text-align: center;
}

.socialsharing a {
        display: inline-block;
        padding: .7em;
        line-height: 0;
        margin-bottom: 2em;
    }

.socialsharing path {
        fill: #808080;
    }

.socialsharing svg {
        width: 24px;
        height: 24px;
    }

.sitefooter {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #222;
    color: #fff;
    height: 150px;
    font-size: .9em
}

.sitefooter .container {
    margin: 1em auto
}

.sitefooter ul {
    list-style: none;
    padding: 0
}

.sitefooter li {
    display: inline-block
}

.sitefooter li:not(:last-child):not(:first-child):before {
    content: " |  "
}

.sitefooter li:last-child {
    float: right
}

.sitefooter a {
    color: #fff
}

.sitefooter p {
    position: absolute;
    bottom: .5em;
    left: 0;
    text-align: center;
    width: 100%;
    font-size: .9em
}

@media print {
    @page {
        margin: 2cm
    }

    body {
        color: #000;
        background: #fff;
        font: 12pt/1.5 Calibri, serif;
        -webkit-print-color-adjust: exact
    }

    nav,
    aside,
    footer,
    #comments,
    [data-src],
    .video {
        display: none
    }

    article {
        page-break-after: always
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    img {
        page-break-after: avoid;
        page-break-inside: avoid
    }

    blockquote,
    table,
    pre {
        page-break-inside: avoid
    }

    ul,
    ol,
    dl {
        page-break-before: avoid
    }

    .post pre {
        background: none;
        border: none;
        box-shadow: none;
        font-family: monospace
    }

    a[href^="http"]:after,
    a[href^="//"]:after {
        content: " <" attr(href) "> "
    }
}